solverf_plan_complex Struct Reference

data structure for an inverse NFFT plan with float precision More...

`#include <nfft3.h>`

Collaboration diagram for solverf_plan_complex:
[legend]

## Data Fields

nfftf_mv_plan_complex * | mv
| matrix vector multiplication
unsigned | flags
| iteration type
float * | w
| weighting factors
float * | w_hat
| damping factors
fftwf_complex * | y
| right hand side, samples
fftwf_complex * | f_hat_iter
| iterative solution
fftwf_complex * | r_iter
| iterated residual vector
fftwf_complex * | z_hat_iter
| residual of normal equation of first kind
fftwf_complex * | p_hat_iter
| search direction
fftwf_complex * | v_iter
| residual vector update
float | alpha_iter
| step size for search direction
float | beta_iter
| step size for search correction
float | dot_r_iter
| weighted dotproduct of r_iter
float | dot_r_iter_old
| previous dot_r_iter
float | dot_z_hat_iter
| weighted dotproduct of z_hat_iter
float | dot_z_hat_iter_old
| previous dot_z_hat_iter
float | dot_p_hat_iter
| weighted dotproduct of p_hat_iter
float | dot_v_iter
| weighted dotproduct of v_iter

## Detailed Description

data structure for an inverse NFFT plan with float precision

Definition at line 783 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h